Subject: Re: APUS and IOs question

From: Simon Richter <[email-masked]>
Date: Mon, 06 Nov 2006 16:18:49 +0100

Hi,

Benjamin Herrenschmidt wrote:

> Somebody who understands APUS around ?

I have one, but I don't understand all of it. :-)

> In include/asm-ppc/io.h, we have a special definition of the PCI IO
> accessors readw,writew,readl and writel for APUS that don't do byteswap
> and also don't do barriers.

APUS PCI is weird, to say the least. The PCI extension is basically
built to accomodate a single PCI device, which happens to be a Permedia2
graphics chip that allows byte-swapped mappings of both register and
framebuffer space and is never told to do DMA because nobody knows what
kind of interesting effects that would have, so the only synchronisation
that is needed is between accesses to the framebuffer and the GPU.

That, and that the 604e+ probably doesn't reorder accesses that much
anyway that the barriers would do any good here. :-)

   Simon